#include <iostream>

using namespace std;

int main()
{
	int a,b,c;
	cin>>a>>b>>c;

	if(a>=b)
	{
		if(a>=c){
			
			if(c>=b){
				cout<<a<<c<<b;
			}
			else{
				cout<<a<<b<<c;
			}
			
		}

		else
		{
			if(a>=b){
				cout<<c<<a<<b;
			}
			else{
				cout<<c<<b<<a;
			}
		}
	}
	
	else
	{
	if(b>=c){
			
			if(c>=a){
				cout<<b<<c<<a;
			}
			else{
				cout<<b<<a<<c;
			}
			
		}

		else
		{
			if(b>=a){
				cout<<c<<b<<a;
			}
			else{
				cout<<c<<a<<b;
			}
		}	
		
	}
	
	return 0;
}